de.esprit.appsuite.task.monitor

## Class AbstractTaskMonitor<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.task.monitor.AbstractTaskMonitor<C>

- All Implemented Interfaces:
    ApplicationObject<C>, TaskMonitor<C>, SimpleLogSupport, Dumpable
  Direct Known Subclasses:
    DefaultTaskMonitor, RemoteTaskMonitor, SwingTaskMonitor, TaskMonitorList, WriterTaskMonitor

      public abstract class AbstractTaskMonitor<C extends ApplicationContext>
      extends AbstractApplicationObject<C>
      implements TaskMonitor<C>

  This class is being notified by a running `AsyncTask` about its `RunState` changes.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTaskMonitor(C ctx)`
    `AbstractTaskMonitor(C ctx, LogChannel logCh)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(RunState state)` Tells whether the monitor wants to be notified about this `RunState`.

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.task.monitor.TaskMonitor

      `taskCancelled, taskChildFinished, taskChildStarted, taskChildSucceeded, taskFailed, taskFinished, taskProceeded, taskStarted, taskSucceeded`

    - ### Methods inherited from interface de.esprit.appsuite.launch.ApplicationObject

      `getApplicationContext`

- - ### Constructor Detail

    - #### AbstractTaskMonitor

          public AbstractTaskMonitor(C ctx)

    - #### AbstractTaskMonitor

          public AbstractTaskMonitor(C ctx,
                             LogChannel logCh)

  - ### Method Detail

    - #### accept

          public boolean accept(RunState state)

      Description copied from interface: `TaskMonitor`
      Tells whether the monitor wants to be notified about this `RunState`.
      Specified by:
        `accept` in interface `TaskMonitor<C extends ApplicationContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.